com.elastisys.scale.cloudpool.api.types

## Class Machine.RemainingInstanceHourTime

- java.lang.Object
- - com.elastisys.scale.cloudpool.api.types.Machine.RemainingInstanceHourTime

All Implemented Interfaces:
  com.google.common.base.Function<Machine,Long>

Enclosing class:
  Machine

    public static class Machine.RemainingInstanceHourTime
    extends Object
    implements com.google.common.base.Function<Machine,Long>

A `Function` that for a given `Machine` calculates the remaining time (in seconds) of the machine's current hour.

### Constructor Summary

Constructors
Constructor and Description
`RemainingInstanceHourTime()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Long` `apply(Machine machine)` Calculates the remaining time (in seconds) of the machine's last started billing hour.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.google.common.base.Function

`equals`

### Constructor Detail

#### RemainingInstanceHourTime

    public RemainingInstanceHourTime()

### Method Detail

#### apply

    public Long apply(Machine machine)

Calculates the remaining time (in seconds) of the machine's last started billing hour.

Specified by:
  `apply` in interface `com.google.common.base.Function<Machine,Long>`
Parameters:
  `machine` -
Returns: